/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *  Copyright (C) 2003 Takuro Ashie
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: kz-xbel.h,v 1.2 2003/10/20 13:58:03 makeinu Exp $
 */

#ifndef KZ_XBEL_H
#define KZ_XBEL_H

#include <glib-object.h>
#include "kz-bookmark.h"
#include "kz-xml.h"

G_BEGIN_DECLS

#define KZ_TYPE_XBEL		(kz_xbel_get_type ())
#define KZ_XBEL(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), KZ_TYPE_XBEL, KzXBEL))
#define KZ_XBEL_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass),  KZ_TYPE_XBEL, KzXBELClass))
#define KZ_IS_XBEL(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), KZ_TYPE_XBEL))
#define KZ_IS_XBEL_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass),  KZ_TYPE_XBEL))
#define KZ_XBEL_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj),  KZ_TYPE_XBEL, KzXBELClass))

typedef struct _KzXBEL        KzXBEL;
typedef struct _KzXBELClass   KzXBELClass;

struct _KzXBEL
{
	KzBookmark parent;

	KzXML    *xml;
};

struct _KzXBELClass
{
	KzBookmarkClass parent;
};


GType   kz_xbel_get_type      (void);
KzXBEL *kz_xbel_new           (void);
KzXBEL *kz_xbel_new_from_file (const gchar *filename);
void    kz_xbel_save          (KzXBEL *xbel);

G_END_DECLS

#endif /* KZ_XBEL_H */
